def setup(level):
    level.CreateNewBuilding(71.25, 94.625, 0.0)
    #                 GMFPathName                               PieceName   AttachToPieceName   ToPointName   FromPointName
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "1",        "",                 "",           "right1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "2",        "1",                "right1",     "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "3",        "2",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "4",        "3",                "right1",     "left1", 269.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "5",        "4",                "right1",     "left1", 271.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "6",        "5",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "7",        "6",                "right1",     "left1", 268.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "8",        "7",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "9",        "8",                "right1",     "left1", 271.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "10",       "9",                "right1",     "left1", 272.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "11",       "10",               "right1",     "left1", 270.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "12",       "11",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "13",       "12",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "14",       "13",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "15",       "14",                "right1",     "left1", 270.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "16",       "15",                "right1",     "left1", 320.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "17",       "16",                "right1",     "left1", 320.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "18",       "17",                "right1",     "left1", 320.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "19",       "18",                "right1",     "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "20",       "19",                "right1",     "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "21",       "20",                "right1",     "left1", 0.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "22",       "21",                "right1",     "left1", 51.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "23",       "22",                "right1",     "left1", 50.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "24",       "23",                "right1",     "left1", 49.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "25",       "24",                "right1",     "left1", 51.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "26",       "25",                "right1",     "left1", 52.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "27",       "26",                "right1",     "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "28",       "27",                "right1",     "left1", 89.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "29",       "28",                "right1",     "left1", 120.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "30",       "29",                "right1",     "left1", 119.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "31",       "30",                "right1",     "left1", 121.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "32",       "31",                "right1",     "left1", 120.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "33",       "32",                "right1",     "left1", 122.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "34",       "33",                "right1",     "left1", 121.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "35",       "34",                "right1",     "left1", 119.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "36",       "35",                "right1",     "left1", 121.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "37",       "36",                "right1",     "left1", 120.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "38",       "37",                "right1",     "left1", 110.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "39",       "38",                "right1",     "left1", 111.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "40",       "39",                "right1",     "left1", 105.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "41",       "40",                "right1",     "left1", 102.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "42",       "41",                "right1",     "left1", 97.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "43",       "42",                "right1",     "left1", 91.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "44",       "43",                "right1",     "left1", 88.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "45",       "44",                "right1",     "left1", 81.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "46",       "45",                "right1",     "left1", 76.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "47",       "46",                "right1",     "left1", 73.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "48",       "47",                "right1",     "left1", 68.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "49",       "48",                "right1",     "left1", 65.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "50",       "49",                "right1",     "left1", 62.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "51",       "50",                "right1",     "left1", 59.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "52",       "51",                "right1",     "left1", 59.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "53",       "52",                "right1",     "left1", 58.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "54",       "53",                "right1",     "left1", 90.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "55",       "54",                "right1",     "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "56",       "55",                "right1",     "left1", 181.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "57",       "56",                "right1",     "left1", 179.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "58",       "57",                "right1",     "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "59",       "58",                "right1",     "left1", 182.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "60",       "59",                "right1",     "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "61",       "60",                "right1",     "left1", 180.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "62",       "61",                "right1",     "left1", 267.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "63",       "62",                "right1",     "left1", 271.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "64",       "63",                "right1",     "left1", 269.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "65",       "64",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "66",       "65",                "right1",     "left1", 272.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "67",       "66",                "right1",     "left1", 271.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "68",       "67",                "right1",     "left1", 268.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "69",       "68",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "70",       "69",                "right1",     "left1", 270.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "71",       "70",                "right1",     "left1", 269.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/chain_fence.gmf",   "72",       "71",                "right1",     "left1", 181.0, -5.0)

    # disable all the subpiece collisions between all the different buildings.  This must be called _after_ all buildings have been created.
    level.DisableAllBuildingCollisions()